<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">
      <ion-content>
        <ion-list>
          <ion-menu-toggle auto-hide="false">
            <ion-item routerDirection="root"
              *ngIf="!loggedIn"
              routerLink="/"
              (click)="logIn()" class="clickable">
              <ion-icon slot="start" name="log-in"></ion-icon>
              <ion-label>Login</ion-label>
            </ion-item>
            <ion-item routerDirection="root" *ngIf="loggedIn"
              routerLink="/home">
              <ion-icon slot="start" name="home"></ion-icon>
              <ion-label>Home</ion-label>
            </ion-item>
            <ion-item routerDirection="root"
              *ngIf="loggedIn"
              routerLink="/"
              (click)="logIn()" class="clickable">
              <ion-icon slot="start" name="people-circle-outline"></ion-icon>
              <ion-label>Choose Account</ion-label>
            </ion-item>
            <ion-item routerDirection="root"
              routerLink="/"
              *ngIf="loggedIn"
              (click)="logOut()" class="clickable">
              <ion-icon slot="start" name="log-out"></ion-icon>
              <ion-label>Logout</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
